Subject: Re: bug#21559: [PATCH] autorevert: Wait a while before calling vc-find-file-hook

From: Ben Gamari <[email-masked]>
Date: Wed, 28 Oct 2015 12:59:39 +0100

Hi Michael,

Michael Albinus <[email-masked]> writes:

> [removing emacs-devel, discussion in one ML is sufficient]
>
Okay. Works for me.

> Ben Gamari <[email-masked]> writes:
>
> Hi Ben,
>
>> This provides a resolution for Bug #21559.
>
> Thanks for the patch.
>
> But as I said already, I'm not happy to insert so much hard-wired vc
> related operations into autorevert.el. And this is triggered just by
> git, IIUC the other vc backends do not suffer from this problem.

Fair enough.

> Have you considered another solution, maybe by providing vc(-git)
> specific buffer-stale-function and revert-buffer? This would be much
> more in the spirit how autorevert is supposed to work. And this would
> simplify maintenance,

Could you perhaps describe in a bit detail what the semantics of these
functions would be? I'm not entirely sure I understand what you are
proposing.

> when git changes its behaviour, and we need to adapt vc-git
> accordingly.

You are more optimistic than me on whether git will be fixed ;)

Thanks for your feedback!

Cheers,

- Ben